<!doctype html>
<html>
<head>
<meta charset="UTF-8">
<title>FLEXBOX_06 JEREMY GARCÍA</title>
<style>
.contenedor {
  /* 1. Prueba antes de modificar.*/
  /*Tenemos div distribuidos en sus propias filas, hay divs que salen del contenedor*/
  
  /* 2. Indica display: flex; a continuación*/
  display: flex;
  /*Todos los divs se acomodaron dentro del contenedor ajustandoce a su altura*/
	
  /* 3. Declara align-items: center; y prueba. ES PARA ESPACIAR LINEAS ENTRE SÍ */
	align-items: center;
  /*Los elementos se distribuyen en el centro del contendor, esto permite un espaciado mejor distribuido entre cada uno*/

  /*4. Agrega también flex-wrap: wrap; y prueba */
	flex-wrap: wrap;
  /*Los elementos se distribuyen en distintas filas*/
  /*Y con align-items:center se nota que los divs se ajustan mejor a sus etiquetas de texto*/

  /* 5. Declara  align-content: center; ES PARA INDICAR POSICIÓN DE ELEMENTOS DE DENTRO DE UNA LÍNEA*/
	align-content: center;
  /*Las filas se mueven al centro del contenedor*/


  /* 6. Cambia los valores para align-content flex-start, flex-end, space-between, space-around y  stretch;*/	
  align-content: flex-start;
  /*Las filas se colocan en la parte superior del contenedor*/
  align-content: flex-end;
  /*Las filas se colocan en la parte inferior del contenedor*/
  align-content: space-between;
  /*Las filas se distribuyen a lo alto del contenedor considerando un espacio entre cada fila*/
  align-content: space-around;
  /*Las filas se distribuyen a lo alto del contenedor considerando un espacio por encima y por abajo de cada fila*/
  align-content: stretch;
  /*Las filas se ajustan de forma vertical al contenedor, es el valor por defecto*/

  height: 400px;
  background-color: #0C3F7A;
}

.contenedor > div {
  background-color: #FFF;
  width: 100px;
  margin: 10px;
  text-align: center;
  line-height: 75px;
  font-size: 30px;
}
</style>
</head>
<body>
<h1>Flexible Box align-content</h1>

<div class="contenedor">
  <div>A y más y más </div>
  <div>B</div>
  <div>C</div>  
  <div>D</div>
  <div>E</div>
  <div>F</div>  
  <div>G</div>
  <div>H</div>
  <div>I y más</div>
  <div>J</div>
  <div>K</div>  
  <div>L</div>
  <div>M</div>
  <div>N y más y más</div>  
  <div>Ñ</div>
  <div>O</div>
</div>
</body>
</html>
